cdac.medinfo.sdk.hl7282.hl7net.auxiliaryprotocol.interactivecontinuation

## Class ServerSideQICAgent

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.hl7net.auxiliaryprotocol.interactivecontinuation.ServerSideQICAgent

- All Implemented Interfaces:
    IServerInteractiveContinuation

      public class ServerSideQICAgent
      extends java.lang.Object
      implements IServerInteractiveContinuation

  This class provides the re-structure of the Message, if user has set the Agent. This agent class tracks all the messages.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerSideQICAgent()` Instantiates QICAgent

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISegmentSet` | `generateInteractiveResponse(java.lang.String strQueryId)` Retrieves the number of query fired for specified Query ID.
    `ISingleCollection<java.lang.String>` | `getUnprocessedResponse()` This will return the String array from the Collection which are unprocessed.
    `boolean` | `processReceive(ISegmentSet objSegmentSet)` Keeps the logs of incoming Interactive Queries.
    `void` | `processSend(ISegmentSet objSegmentSet)` Keeps the logs of outgoing Interactive Responses.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerSideQICAgent

          public ServerSideQICAgent()

      Instantiates QICAgent

  - ### Method Detail

    - #### generateInteractiveResponse

          public ISegmentSet generateInteractiveResponse(java.lang.String strQueryId)

      Retrieves the number of query fired for specified Query ID.
      Specified by:
        `generateInteractiveResponse` in interface `IServerInteractiveContinuation`
      Parameters:
        `strQueryID` - object of Query id for which retrieving Segment Set.
      Returns:
        ISegmentSet object of Segment Set.

    - #### processReceive

          public boolean processReceive(ISegmentSet objSegmentSet)

      Keeps the logs of incoming Interactive Queries.
      Specified by:
        `processReceive` in interface `IServerInteractiveContinuation`
      Parameters:
        `objSegmentSet` - object of Segment Set received.

    - #### processSend

          public void processSend(ISegmentSet objSegmentSet)

      Keeps the logs of outgoing Interactive Responses.
      Specified by:
        `processSend` in interface `IServerInteractiveContinuation`
      Parameters:
        `objSegmentSet` - object of Segment Set received.

    - #### getUnprocessedResponse

          public ISingleCollection<java.lang.String> getUnprocessedResponse()

      This will return the String array from the Collection which are unprocessed.
      Specified by:
        `getUnprocessedResponse` in interface `IServerInteractiveContinuation`
      Returns:
        ISingleCollection Collection of Response Id which are NotCompleted status.